> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create data source

> Create a new filter data source by specifying the name and type

This endpoint creates a new filter data source for use in stream transformations.

## Supported Types

The `type` field accepts the following values:

* `string_array` - Array of string values
* `int_array` - Array of integer values
* `float_array` - Array of floating-point values


## OpenAPI

````yaml /_openapi/data-transformation-api.json POST /api/v1/streams/data-management/filter-data-sources
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/filter-data-sources:
    post:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - FILTERS
      summary: Filter Data Source
      description: Create a new filter data source by specifying the name and type
      operationId: >-
        create_filter_data_source_api_v1_streams_data_management_filter_data_sources_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilterDataSourceRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseWithID'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    FilterDataSourceRequest:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - type
        - description
      title: FilterDataSourceRequest
    ResponseWithID:
      properties:
        message:
          type: string
          title: Message
        result_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Result Id
      type: object
      required:
        - message
      title: ResponseWithID
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````